#
# spec file for package ghc-aeson-extra
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name aeson-extra

%bcond_with tests

Name:           ghc-aeson-extra
Version:        0.3.2.0
Release:        1.7
Summary:        Extra goodies for aeson
License:        BSD-3-Clause
Group:          System/Libraries

Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-compat-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-recursion-schemes-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-parsers-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
%if %{with tests}
BuildRequires:  ghc-quickcheck-instances-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif
# End cabal-rpm deps

%description
The package motivation is twofold:

* provide compatibility layer for 'aeson'

* provide extra combinators.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%if %{with tests}
%cabal test
%endif

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jun  5 2016 mimi.vx@gmail.com
- update to 0.3.2.0
* Tue Feb 16 2016 mimi.vx@gmail.com
- update to 0.3.1.1
  * Support aeson-0.11
* Fri Jan 29 2016 mimi.vx@gmail.com
- update to 0.3.1.0
  * Support quickcheck-instances >=0.3.12
  * Add Data.Aeson.Extra.TH
  * Add Data.Aeson.Extra.Foldable
  * Add Data.Aeson.Extra.Merge
* Wed Jan 20 2016 mimi.vx@gmail.com
- relax base-compat constraints
* Mon Dec 28 2015 mimi.vx@gmail.com
- update to 0.3.0.0
  * Data.Time.TH moved to time-parsers
  * Data.Aeson.Compat moved to aeson-compat
  * The modules aren't re-exported, as that would require Cabal >= 1.21 restriction
* Sun Dec 13 2015 mimi.vx@gmail.com
- update to 0.2.3.0
  * Data.Time.TH module with mkUTCTime
  * encodeStrict in Data.Aeson.Extra
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
